It won't let me download the App or it is really buggy?

All apps have an operating system cut-off point. Because of some of the things we are doing in the app, for Apple devices you will need iOS 5 or greater. For Android, it must be Android 2.2 or greater. Please verify the app works well for the shirt or costume you want are interested in before you purchase it.

Return to FAQs 

You are on the United States Website

IMPORTANT! You must choose the correct country or you will not be able to complete your order

×

You have no items in your shopping cart.